#!/bin/pwsh
param($context)
$tempDir = $context.GetTempDirectory();
$installer = "setup.exe";

Push-Location $tempDir;

choco install -y vcredist2013;

Write-Host "Installing Tobii Game Hub";
Write-Information "Downloading Tobii Game Hub installer";
Invoke-WebRequest "https://files.update.oem.tobii.com/GameHub/TobiiGameHub.3.0.1-Setup.exe" -OutFile $installer;

Write-Information "Running Tobii Game Hub installer";
Start-Process -Wait -FilePath "$PSScriptRoot/GameHub.ahk";

Pop-Location;
Remove-Item -Recurse $tempDir;
